Bananian Linux

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000050Bananian Linux[All Projects] Hardwarepublic2014-10-03 12:182014-11-05 13:55
Reporterguest 
Assigned ToNico 
PrioritylowSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version14.09 
Target Version14.11Fixed in Version14.11 
Summary0000050: [RfE] Enable hardware watchdog
DescriptionThe A20 SoC supports a hardware watchdog timer but the necessary kernel config doesn't enable it on Bananian.

The necessary steps are outlined here http://forum.lemaker.org/1847-1-1-how_to_enable_watchdog.html [^] and here http://www.cubieforums.com/index.php/topic,2815.0.html [^]

In short:

CONFIG_WATCHDOG=y
CONFIG_WATCHDOG_CORE=y
CONFIG_WATCHDOG_NOWAYOUT=y
CONFIG_SUNXI_WDT=m

TagsNo tags attached.
Attached Filespatch file icon a20watchdog.patch [^] (1,388 bytes) 2014-11-05 13:48 [Show Content]

- Relationships

-  Notes
(0000067)
Nico (manager)
2014-11-05 13:55

https://github.com/Bananian/linux-bananapi/commit/56911ecbe2ffa5d07f5748ba49ddeb1735b5f30b [^]

- Issue History
Date Modified Username Field Change
2014-10-03 12:18 guest New Issue
2014-10-04 11:30 Nico Assigned To => Nico
2014-10-04 11:30 Nico Status new => assigned
2014-10-04 11:30 Nico Target Version => 14.11
2014-11-05 13:48 Nico File Added: a20watchdog.patch
2014-11-05 13:54 Nico Fixed in Version => 14.11
2014-11-05 13:54 Nico Status assigned => resolved
2014-11-05 13:54 Nico Resolution open => fixed
2014-11-05 13:55 Nico Note Added: 0000067


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker